package com.rehan.yodosdk.Banner;

import androidx.annotation.NonNull;

import com.yodo1.mas.banner.Yodo1MasBannerAdListener;
import com.yodo1.mas.banner.Yodo1MasBannerAdView;
import com.yodo1.mas.error.Yodo1MasError;

import java.util.HashMap;
import java.util.Map;

import io.flutter.plugin.common.MethodChannel;

public class BannerAdListener implements  Yodo1MasBannerAdListener {

    private final MethodChannel channel;

    public BannerAdListener(MethodChannel channel) {
        this.channel = channel;
    }


    @Override
    public void onBannerAdLoaded(Yodo1MasBannerAdView bannerAdView) {
        Map<String, String> arguments = new HashMap<>();
        channel.invokeMethod("banner_loaded",arguments);
    }


    @Override
    public void onBannerAdOpened(Yodo1MasBannerAdView bannerAdView) {
        Map<String, String> arguments = new HashMap<>();
        channel.invokeMethod("banner_open",arguments);
    }
    @Override
    public void onBannerAdFailedToLoad(Yodo1MasBannerAdView bannerAdView, @NonNull Yodo1MasError error) {
        Map<String, String> arguments = new HashMap<>();
        arguments.put("errorMessage", error.getMessage());
        channel.invokeMethod("banner_loaderror", arguments);
    }
    @Override
    public void onBannerAdFailedToOpen(Yodo1MasBannerAdView bannerAdView, @NonNull Yodo1MasError error)
    {
        Map<String, String> arguments = new HashMap<>();
        arguments.put("errorMessage", error.getMessage());
        channel.invokeMethod("banner_OPENerror", arguments);
    }

    public void onBannerAdClosed(Yodo1MasBannerAdView bannerAdView)
    {
        Map<String, String> arguments = new HashMap<>();
        channel.invokeMethod("banner_close",arguments);
    }



}