package com.rehan.yodosdk.RewardInter;

import android.app.Activity;

import androidx.annotation.NonNull;

import com.yodo1.mas.error.Yodo1MasError;
import com.yodo1.mas.reward.Yodo1MasRewardAd;
import com.yodo1.mas.reward.Yodo1MasRewardAdListener;
import com.yodo1.mas.rewardedinterstitial.Yodo1MasRewardedInterstitialAd;
import com.yodo1.mas.rewardedinterstitial.Yodo1MasRewardedInterstitialAdListener;

import io.flutter.plugin.common.MethodChannel;

public class YodoRewardInterHelper {
    static MethodChannel methodChannel;

    public static void setMethodChannel(MethodChannel state) {
        methodChannel = state;
    }

    static Yodo1MasRewardedInterstitialAdListener yodo1MasRewardAdListener = new Yodo1MasRewardedInterstitialAdListener() {
        @Override
        public void onRewardedInterstitialAdLoaded(Yodo1MasRewardedInterstitialAd ad) {
            System.out.println("YodoAndroid::RewardInter::Loaded");
            methodChannel.invokeMethod("loaded_reward_inter", "");
        }

        @Override
        public void onRewardedInterstitialAdFailedToLoad(Yodo1MasRewardedInterstitialAd ad, @NonNull Yodo1MasError error) {
            System.out.println("YodoAndroid::RewardInter::FailedToLoad");
            System.out.println(error.getJsonObject());
            System.out.println(error.getMessage());
            methodChannel.invokeMethod("fail_load_reward_inter", "error.getJsonObject()");
        }

        @Override
        public void onRewardedInterstitialAdOpened(Yodo1MasRewardedInterstitialAd ad) {
            System.out.println("YodoAndroid::RewardInter::Opened");
            methodChannel.invokeMethod("open_reward_inter", "");
        }

        @Override
        public void onRewardedInterstitialAdFailedToOpen(Yodo1MasRewardedInterstitialAd ad, @NonNull Yodo1MasError error) {
            System.out.println("YodoAndroid::RewardInter::FailedToOpen");
            methodChannel.invokeMethod("fail_open_reward_inter", error.getJsonObject());
        }

        @Override
        public void onRewardedInterstitialAdClosed(Yodo1MasRewardedInterstitialAd ad) {
            System.out.println("YodoAndroid::RewardInter::RewardAdClosed");
            methodChannel.invokeMethod("close_reward_inter", "");
        }

        @Override
        public void onRewardedInterstitialAdEarned(Yodo1MasRewardedInterstitialAd ad) {
            System.out.println("YodoAndroid::RewardInter::Earned");
            methodChannel.invokeMethod("rewarded_reward_inter", "");
        }
    };

    public static void setListener(Yodo1MasRewardedInterstitialAdListener state) {
        yodo1MasRewardAdListener = state;
    }

    public static void loadAndShowRewardInter(Activity context) {
        Yodo1MasRewardedInterstitialAd.getInstance().setAdListener(yodo1MasRewardAdListener);
        boolean isLoaded = Yodo1MasRewardedInterstitialAd.getInstance().isLoaded();
        if (isLoaded) {
            Yodo1MasRewardedInterstitialAd.getInstance().showAd(context, "AndroidSdk");
        } else {
            Yodo1MasRewardedInterstitialAd.getInstance().loadAndShowAd(context, "AndroidSdk");
        }
    }

    public static void loadOnly(Activity context) {
        Yodo1MasRewardedInterstitialAd.getInstance().setAdListener(yodo1MasRewardAdListener);
        Yodo1MasRewardedInterstitialAd.getInstance().loadAd(context);
    }
}
