package com.rehan.yodosdk;

import android.app.Activity;
import android.content.Context;

import androidx.annotation.NonNull;

import com.rehan.yodosdk.Inter.*;
import com.yodo1.mas.Yodo1Mas;
import com.yodo1.mas.error.Yodo1MasError;
import com.yodo1.mas.helper.model.Yodo1MasAdBuildConfig;

import java.util.function.Function;

import io.flutter.plugin.common.MethodChannel;

public class YodoCoreHelper {

    public static void initYodoSdk(MethodChannel channel, Activity context, String appId) {

        if (!YodosdkPlugin.isInit) {
            Yodo1Mas.getInstance().initMas(context, appId, new Yodo1Mas.InitListener() {
                @Override
                public void onMasInitSuccessful() {
                    YodosdkPlugin.isInit = true;
                    channel.invokeMethod("init_success", null);
                    System.out.println("Init Success:===>");
                }

                @Override
                public void onMasInitFailed(@NonNull Yodo1MasError error) {
                    YodosdkPlugin.isInit = false;
                    channel.invokeMethod("init_error", error.getJsonObject());
                    System.out.println("Init Failed:===> " + error.getJsonObject());
                }
            });
        }

    }
}
