package com.rehan.yodosdk.nativead;

import androidx.annotation.NonNull;

import com.yodo1.mas.error.Yodo1MasError;
import com.yodo1.mas.nativeads.Yodo1MasNativeAdListener;
import com.yodo1.mas.nativeads.Yodo1MasNativeAdView;

import java.util.HashMap;
import java.util.Map;

import io.flutter.plugin.common.MethodChannel;

public class NativeAdListener implements Yodo1MasNativeAdListener {

    private final MethodChannel channel;

    public NativeAdListener(MethodChannel channel) {
        this.channel = channel;
    }


    @Override
    public void onNativeAdLoaded(Yodo1MasNativeAdView nativeAdView) {
        Map<String, String> arguments = new HashMap<>();
        System.out.println("Native Loaded=========>");
        channel.invokeMethod("native_loaded", arguments);
    }

    @Override
    public void onNativeAdFailedToLoad(Yodo1MasNativeAdView nativeAdView, @NonNull Yodo1MasError error) {
        Map<String, String> arguments = new HashMap<>();
        arguments.put("errorMessage", error.getMessage());
        System.out.println("Native Failed=========>"+ error.getMessage());
        System.out.println(error.getJsonObject());
        channel.invokeMethod("native_loaderror", arguments);
    }


    public void onNativeAdClosed(Yodo1MasNativeAdView nativeAdView) {
        Map<String, String> arguments = new HashMap<>();
        channel.invokeMethod("native_close", arguments);
    }


}