package com.rehan.yodosdk.nativead;

import android.app.Activity;
import android.content.res.Resources;
import android.view.View;
import android.view.ViewGroup;

import com.yodo1.mas.nativeads.Yodo1MasNativeAdView;

import java.util.Map;

import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.platform.PlatformView;


public class NativeAdView implements PlatformView {

    private final Yodo1MasNativeAdView nativeAdView;

    public NativeAdView(Activity activity, int id, Map<?, ?> args, BinaryMessenger messenger) {
        MethodChannel channel = new MethodChannel(messenger,
                "nativeAd_" + id);
        String nativeSize, nativeColor;
        //int nativeSizeY;
        nativeSize = (String) args.get("nativesize");
        //nativeSizeY = (int)args.get(YodoAdsConstants.BANNER_SIZE_Y);
        nativeColor = (String) args.get("nativecolor");


        //bannerView = new BannerView(activity, (String) args.get(UnityAdsConstants.PLACEMENT_ID_PARAMETER), size);
        nativeAdView = new Yodo1MasNativeAdView(activity);
        nativeAdView.setAdBackgroundColor(nativeColor);
        nativeAdView.setAdListener(new NativeAdListener(channel));
        nativeAdView.setLayoutParams(new ViewGroup.LayoutParams(ViewGroup.LayoutParams.MATCH_PARENT, dp2px(getNativeSize(nativeSize))));
        nativeAdView.loadAd();

    }

    public static int dp2px(int dp) {
        return (int) (dp * Resources.getSystem().getDisplayMetrics().density);
    }


    @Override
    public View getView() {
        return nativeAdView;
    }

    @Override
    public void dispose() {

    }

    private int getNativeSize(String NativeSize) {
        switch (NativeSize) {
            case "Nativelarge":
                return 600;
            case "NativeSmall":
            default:
                return 300;
        }
    }


}


