//
//  NativeAdListener.swift
//  yodosdk
//
//  Created by RehanAbbas Bukhari on 26/04/23.
//

import Flutter
import Yodo1MasCore

class NativeAdListener: NSObject,Yodo1MasNativeAdViewDelegate {
    let channel: FlutterMethodChannel

    init(channel: FlutterMethodChannel) {
        self.channel = channel
    }

    func onNativeAdLoaded(_ native: Yodo1MasNativeAdView)
    {
        channel.invokeMethod("native_loaded",arguments: [])
    }
    func onNativeAdFailed(toLoad native: Yodo1MasNativeAdView, withError error:
    Yodo1MasError)
    {
        let arguments = ["errorMessage":error.localizedDescription];
        channel.invokeMethod("native_loaderror", arguments: arguments);

    }

    func onNativeAdClosed(_ native: Yodo1MasNativeAdView)
    {

        channel.invokeMethod("native_close",arguments: [])
    }
}

