//
//  YodoHelper.swift
//  yodosdk
//
//  Created by RehanAbbas Bukhari on 19/04/23.
//

import Yodo1MasCore
import Foundation
import Flutter


class YodoHelper {
    static var _sink: FlutterMethodChannel?
    public static func initSdk(appId:String,onSuccess:@escaping ()->Void) {
        Yodo1Mas.sharedInstance().initWithAppKey(appId) {
            YodoHelper._sink?.invokeMethod("init_success", arguments: "Sdk Init Done")
            onSuccess()
       } fail: { error in
            if let error {
                print(error)
                YodoHelper._sink?.invokeMethod("init_error", arguments: error)
                return;
            }
           YodoHelper._sink?.invokeMethod("init_error", arguments: "Something Went Wrong")
         }
    }
    
    public static func showDialog() {
        let config = Yodo1MasAdBuildConfig.instance()
        config.enableUserPrivacyDialog = true
        Yodo1Mas.sharedInstance().setAdBuildConfig(config)
    }
}
