import 'package:flutter/services.dart';
import 'package:yodosdk/Inter/FullScreenAdCallbacks.dart';

class InterHelper {
  static final InterHelper _singleton = InterHelper._internal();
  static const methodChannel = MethodChannel("interChannel");

  factory InterHelper() {
    return _singleton;
  }

  static initInterListeners(FullScreenAdCallbacks fullScreenAdCallbacks) {
    methodChannel.setMethodCallHandler(
      (call) {
        return myUtilsHandler(call, fullScreenAdCallbacks);
      },
    );
  }

  static Future<dynamic> myUtilsHandler(
    MethodCall methodCall,
    FullScreenAdCallbacks fullScreenAdCallbacks,
  ) async {
    switch (methodCall.method) {
      case "loaded_inter":
        fullScreenAdCallbacks.onLoad(methodCall.arguments);
        break;
      case "failed_load_inter":
        fullScreenAdCallbacks.onAdLoadFail(methodCall.arguments);
        break;
      case "open_inter":
        fullScreenAdCallbacks.onAdOpen(methodCall.arguments);
        break;
      case "failed_open_inter":
        fullScreenAdCallbacks.onAdOpenFail(methodCall.arguments);
        break;
      case "close_inter":
        fullScreenAdCallbacks.onClose(methodCall.arguments);
        break;
      default:
        print("Default Case ${methodCall.arguments}");
    }
  }

  InterHelper._internal();
}
