import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'yodosdk_platform_interface.dart';

/// An implementation of [YodosdkPlatform] that uses method channels.
class MethodChannelYodosdk extends YodosdkPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('yodosdk');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
