import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'yodosdk_method_channel.dart';

abstract class YodosdkPlatform extends PlatformInterface {
  /// Constructs a YodosdkPlatform.
  YodosdkPlatform() : super(token: _token);

  static final Object _token = Object();

  static YodosdkPlatform _instance = MethodChannelYodosdk();

  /// The default instance of [YodosdkPlatform] to use.
  ///
  /// Defaults to [MethodChannelYodosdk].
  static YodosdkPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [YodosdkPlatform] when
  /// they register themselves.
  static set instance(YodosdkPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
